<?php
/** 
* @version: $Id: mod_user_birthday 2010-02-26 06:57:001 maxisoft $
* @copyright: Copyright (C) 2010 myInstanCMS.ru. All rights reserved.
* @package: INSTANTCMS
* @subpackage: INSTANTCMS
* @author: myINSTANTCMS Team
* @email: info@myinstantcms.ru
* @link: http://myinstantcms.ru
* @license: http://www.gnu.org/copyleft/gpl.html GNU/GPL
* myINSTANTCMS is a Free Software
*/	
	function mod_user_birthday($module_id){
        $inCore = cmsCore::getInstance();
        $inDB = cmsDatabase::getInstance();
        global $_LANG;
 		$cfg = $inCore->loadModuleConfig($module_id);
        if ($cfg['menuid']>0) {
			$menuid = $cfg['menuid'];
		} else {
			$menuid = $inCore->menuId();
		}
        $sql = "SELECT
  					*, DATE_FORMAT(birthdate, '%m-%d') AS daymonth, YEAR(CURRENT_DATE ()) AS year, YEAR(CURRENT_DATE ()) - YEAR(birthdate) AS age, 
  					(TO_DAYS(DATE_ADD(birthdate, INTERVAL (YEAR(CURDATE()) - YEAR(birthdate) + IF(DATE_FORMAT(CURDATE(), '%m%d') > DATE_FORMAT(birthdate, '%m%d'), 1, 0)) YEAR)) - TO_DAYS(CURDATE()) + 0) AS days_to_birthday
				FROM
  					cms_users
				WHERE
  					birthdate != '0000-00-00' AND is_locked = 0 AND is_deleted = 0
				HAVING
  					days_to_birthday <= 100 OR days_to_birthday >= 364
				ORDER BY
  					days_to_birthday ASC
  				LIMIT ".$cfg['usercount']."";
        $result = $inDB->query($sql) ;
        if ($inDB->num_rows($result)){	
			$total = $inDB->num_rows($result);
			if ($cfg['view_type']=='table'){
				include_once($_SERVER['DOCUMENT_ROOT'].'/components/users/includes/usercore.php');
				echo '<table cellspacing="5" border="0">';
				while($usr = $inDB->fetch_assoc($result)){
					echo '<tr>';
					echo '<td width="20" class="new_user_avatar">'.usrImage($usr['id']).'</td>';
					echo '<td width="">';
					echo '<a href="'.cmsUser::getProfileURL($usr['login']).'" class="new_user_link">'.$usr['nickname'].'</a>';
					if ($usr['days_to_birthday'] > 363 ){
						$txt = ': ';
						$txt_date = '';
					}elseif($usr['days_to_birthday'] == 0) {
						$txt = ': ';
						$txt_date = '';
					}elseif ($usr['days_to_birthday'] >0 && $usr['days_to_birthday'] < 5){
						$txt = ': ';
						$txt_date = ' '.$usr['days_to_birthday'].' ';
					}else{	
						$txt = ': ';
						$txt_date = $usr['birthdate'];
					}
					echo '<br/><br/>
						 <div>'. $txt.'<strong>'.$usr['age'].'</strong>  ('.$txt_date.') </div>';
					echo '</td>';				
					echo '</tr>';
				}
				echo '</table>';
			}else{
				$total = $inDB->num_rows($result);
				$now = 0;
				while($usr = $inDB->fetch_assoc($result)){				
					echo '<a href="'.cmsUser::getProfileURL($usr['login']).'">'.$usr['nickname'].'</a> ('.$usr['age'].')';
					if ($now < $total-1) { echo ', '; }
					$now ++;
				}
			}
		}		
		return true;	
	}
?>